# Method ADT.CircularList()->_insert_element()

Method _insert_element

  ``void` _insert_element(`int` `index`, `mixed` `value`)`

Description

  Insert an element in the list at the position `index`, the value at the position `index` and all above will have their index increased by one.

Parameter `index`

  The index to insert the value at.

Parameter `value`

  The new value.

Throws

  An error if the index is out of range.